import '../../data/datasources/quiz_remote_datasource.dart';

abstract class QuizRepository {
  Future<FilterOptionsModel> getFilters();
  Future<QuizStartResponseModel> startQuiz({
    required int numQuestions,
    String? difficulty,
    String? category,
  });
  Future<QuizSubmitResultModel> submitQuiz({
    required int attemptId,
    required List<Map<String, String>> answers,
  });
}